<div ng-controller="contestCtrl">
	<div class="poll_popup" ng-if="contest.questions" style="background-image:url({{contest.thumbnail}});">
		<!--    <h2 class="text-white">{{contest.title}}</h2>-->
		<div ng-if="!contest.attempted" style="width:310px;float: right;margin-right: 10px;">
			<slick slides-to-show="1" slides-to-scroll="1" settings="slickConfig" ng-if="contest.questions.length">
				<div ng-repeat="question in contest.questions">
				<div class="poll_transparent_container" ng-if="!contest.attempted"  style="width:100%">
					<div class="default_state_poll">
							<h2 class="text-white">{{question.questionText}}</h2>
							<div class="progress" ng-repeat="options in question.options" ng-click='usercontest.answer(question.questionId,options.optionId,$parent.$index)'>
								<div class="progress-bar" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"> {{options.optionText}} </div>
							</div>
						</div>

						<!--  <button class="poll_btn" ng-click='contest.attempted=1'>GO</button>-->
					</div>
				</div>
			</slick>
		</div>
		<div class="poll_transparent_container" ng-if="contest.attempted">
			<div class="default_state_poll">
				<!--    contest result-->
				<div class="contest_congrats">
					<p>Thanks for participating, we will get back to you soon.</p>
					</div>
				<!--  contest result  ends here-->
				<div class="share_icons poll_share"> <a class="fb_share" ng-click='Share.fb(contest.shareURL)'><i class="fa fa-facebook" aria-hidden="true"></i></a>
					<a class="tw_share" target="_blank" href="https://twitter.com/intent/tweet?text=Check%20this%20article%20{{contest.shareURL}}"><i class="fa fa-twitter" aria-hidden="true"></i></a>
					<a target="_blank" href="/{{contest.mainSection.parentSlug}}/{{contest.mainSection.slug}}/{{contest.title|slug}}/{{contest._id}}" class="share_link"><i class="fa fa-link" aria-hidden="true"></i></a>
					<a class="comment_link"><i class="fa fa-external-link" aria-hidden="true"></i></a>
					<!-- <a class="heart_icon_share"><i class="fa fa-heart-o" aria-hidden="true"></i></a> </div> -->
				<!-- <div class="poll_next_article" ng-click="userpoll.nextPoll(poll.next)">
						<h3 class="h3small_headings">NEXT CONTEST</h3>
						<p>{{contest.next.title}}</p>
				</div> -->
		</div>

			</div>
		</div>
	</div>
</div>
